<?php
/**
 * Piwik - Open source web analytics
 *
 * @author Jan Bogutzki
 * @link http://jan.bogutzki.de
 * @license http://www.gnu.org/licenses/gpl-3.0.html Gpl v3 or later
 * @version 1.2.1.1
 *
 * @package Piwik_Forecast
 */

/**
 *
 * @package Piwik_Forecast
 */
class Piwik_Forecast_Controller extends Piwik_Controller
{
	function getForecast( $fetch = false)
	{
		$view = $this->getStandardDataTableUserCountry(__FUNCTION__, "Forecast.getForecast");
		$view->setLimit( 5 );
		return $this->renderView($view, $fetch);
	}

	protected function getStandardDataTableUserCountry( $currentControllerAction, $APItoCall, $defaultDatatableType = null )
	{
		$view = Piwik_ViewDataTable::factory( $defaultDatatableType );
		$view->init( $this->pluginName, $currentControllerAction, $APItoCall );
		$this->setPeriodVariablesView($view);

		$view->disableExcludeLowPopulation();
		$view->setColumnsToDisplay(array('label', 'Forecast_Column'));
		$view->setColumnTranslation('label', Piwik_Translate('Forecast_Label'));
		$view->setColumnTranslation('Forecast_Column', Piwik_Translate('Forecast_Column'));
		$view->disableSort();
		$view->setSortedColumn('label', 'asc');
		$view->disableFooter();

		return $view;
	}
}
