<?php
/**
 * Piwik - Open source web analytics
 *
 * @author Jan Bogutzki
 * @link http://jan.bogutzki.de
 * @license http://www.gnu.org/licenses/gpl-3.0.html Gpl v3 or later
 * @version 1.2.1.1
 *
 * @package Piwik_Forecast
 */

/**
 *
 * @package Piwik_Forecast
 */
class Piwik_Forecast extends Piwik_Plugin
{
	public function getInformation()
	{
		$info = array(
			'name' => 'Forecast',
			'description' => 'Tries to make a forecast based on the data collected.',
			'author' => 'Jan Bogutzki',
			'author_homepage' => 'http://jan.bogutzki.de/',
			'homepage' => 'http://jan.bogutzki.de/piwik-plugin',
			'version' => '1.2.1.1',
			'translationAvailable' => true,
		);
		return $info;
	}

	function getListHooksRegistered()
	{
		return array(
			'WidgetsList.add' => 'addWidgets',
		);
	}

	function addWidgets()
	{
		Piwik_AddWidget( 'Forecast', 'Forecast_Widget', 'Forecast', 'getForecast');
	}

	function postLoad()
	{
		if ($_GET['module']=='Forecast') {
			echo '<link rel="stylesheet" type="text/css" href="plugins/Forecast/templates/forecast.css"/>';
		}
	}
}
